lkml.org 
[lkml]   [2003]   [Feb]   [2]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: 2.4.21-pre4: tg3 driver problems with shared interrupts
Stephan von Krawczynski wrote:
> I found out within minutes that this setup does not survive if you let the
> Broadcom cards share interrupts with anything else. It works ok now like
> this (eth2 is tg3):

[...]
> But horribly failed in such a setup:

[...]
> I cannot even produce a "cat /proc/interrupts" for this because I am not fast
> enough at login (the network at eth2 is heavy loaded). I sometimes read about
> problems here with tg3-drivers, and I just wanted to point you to the shared
> case, maybe it has to do with this special case rather than with the drivers
> internals itself.
> (PS: its not the ide2-3, I checked that out)



hmmm. I've attached the latest tg3, version 1.4, which I just sent off
to Marcelo. It includes some fixes that may affect your 5701.

Can you try two things?

1) 2.4.21-pre4 + tg3 v1.4
2) 2.4.20 + tg3 v1.4

I'm interested to know if you can reproduce with the latest driver in
either of these two scenarios...

Jeff


[unhandled content-type:application/x-bzip2]
\
 
 \ /
  Last update: 2005-03-22 13:32    [W:0.088 / U:1.804 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site